Subject: Re: Pine

From: "Richard P. O'Sullivan" <[email-masked]>
Date: Fri, 19 Jan 1996 18:45:42 -0500

On 19 Jan 1996, Steve Rifkin wrote:

> My Amitcp4.0 Demo and ppp work great... I can telnet into and outside of
> my amiga.  I can Ftp.  I can also use various mailers.  I tried to set up
> Pine (whatever version that was just released on the Aminet Set 2 CD-ROMs),
> and when I try to run it from a shell, I get "No host or domain name set".
> I've checked the .pinerc file, and all looks OK.  My stack is set to 100000.
> If I try to run pine from the workbench, I crash.  I'd rather run it from dos
> anyway.  Does anyone know what and where I need to set that host and domain
> stuff to make pine work?  Again, my TCP-ing has been fine with other apps.
> I do have a hostname and domain set through amitcp.  I've tried doing a
> setenv HOST myhostname before running pine as well.
> 
> Thanks,
> 
> Steve Rifkin
> ([email-masked])

Steve,

    You may need to set the environment variable HOSTNAME.  Read up on this
section in the Pine docs.  I use the following scripts to setup a nice public
screen for my Pine sessions (uses wshell and psx): 

PubPine
-------

  AmiTCP:bin/login
  utils:psx open=Pine HIRES DEPTH=1 MAKEDEFAULT=Pine
  c:newwsh 
    CON:0/0/676/234/Pine/FONT#Topaz.font/HLINES#0/NOPROP/NOSIZE/BACKDROP
    COMMAND nos:pine3.91/StartPine

StartPine
---------
  utils:psx MAKEDEFAULT=Workbench
  cd HOME:
  nos:pine3.91/pine
  jump Workbench
  utils:psx close=Pine
  endcli

    I've found that Amiga Pine works most reliably on a monotone screen 
using classical dimensions: 25 x 80 characters.

    BTW once you prove out AmiTCP and PPP, do consider registering both. 
You will be very happy with the registered versions.

Rick
                        __  __  __  __  __  __
---------------------__/\_\/\_\/\_\/\_\/\_\/\_\__-----------------------
Altofirma WebWords  /\_\/_/\/_/\/_/\/_/\/_/\/_/\_\ Richard P. O'Sullivan
http://www.aww.com/ \/_/\_\/\_\/\_\/\_\/\_\/\_\/_/       [email-masked]
---------------------  \/_/\/_/\/_/\/_/\/_/\/_/  -----------------------

Cookie De Jour
--------------
Master:  Remember that two rights never make a wrong.
Student: Yeah, yeah.